Query Component Groups
Filters are combined using logical OR; returns a deduplicated union of all matches. Use componentGroups (plural) as a JSON array of FLEET, MANAGEMENT, or INSTANCE.
Page index (0-based)
Page size
Requested sort field; server may normalize for instance resources
Sort direction
Optional component group query filters
"{\n \"componentGroupResourceIds\" : [ ],\n \"componentGroupResourceFqdns\" : [ ],\n \"componentGroupResourceNames\" : [ ],\n \"policyIds\" : [ \"033a28ca-50be-4aa1-ada0-d7558b21c75a\" ],\n \"policyNames\" : [ ],\n \"componentGroups\" : [ \"INSTANCE\" ],\n \"componentGroupComplianceStatuses\" : [ \"COMPLIANT\", \"NOT_ELIGIBLE\", \"NO_POLICY\" ]\n}"
Compliance statuses of the component group
Component Group resource FQDNs (example item: sddc-manager.cloud.example.com)
Component group resource IDs
Component Group resource names
JSON componentGroups (plural): array of FLEET, MANAGEMENT, INSTANCE.
Policy IDs
Policy names
Paged resources
"{\n \"pageInfo\" : {\n \"totalCount\" : 1,\n \"page\" : 0,\n \"pageSize\" : 50,\n \"sortBy\" : \"statusUpdatedAt\",\n \"sortOrder\" : \"ASCENDING\"\n },\n \"results\" : [ {\n \"componentGroupResourceId\" : \"055b39eb-70cf-4bc2-bfc2-e9779c32d88a\",\n \"componentGroupResourceFqdn\" : \"sddc-manager.example.com\",\n \"componentGroupResourceName\" : \"SDDC Manager\",\n \"componentGroup\" : \"INSTANCE\",\n \"complianceUpdatedAt\" : 1741716460000,\n \"componentGroupComplianceStatus\" : \"COMPLIANT\",\n \"policyId\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"policyName\" : \"Fleet Example Policy\"\n } ]\n}"
Collection of links
Represents page information for a paged result
Paged component group resources matching the query
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/password-policies/component-groups/query